> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Execution Object Download

> Generate a presigned download URL for a workflow execution result object.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /workspaces/{workspace_id}/workflow-executions/{execution_id}/objects/download
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/workflow-executions/{execution_id}/objects/download:
    post:
      tags:
        - workflow-executions
      summary: Get Workflow Execution Object Download
      description: >-
        Generate a presigned download URL for a workflow execution result
        object.
      operationId: workflow-executions-get_workflow_execution_object_download
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: execution_id
          in: path
          required: true
          schema:
            type: string
            title: Execution Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowExecutionObjectRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowExecutionObjectDownloadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    WorkflowExecutionObjectRequest:
      properties:
        event_id:
          type: integer
          minimum: 1
          title: Event Id
          description: Temporal history event ID
        field:
          $ref: '#/components/schemas/WorkflowExecutionObjectField'
          default: action_result
        collection_index:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Collection Index
          description: >-
            Optional index into a CollectionObject result. When omitted,
            operates on the top-level object result.
      type: object
      required:
        - event_id
      title: WorkflowExecutionObjectRequest
    WorkflowExecutionObjectDownloadResponse:
      properties:
        download_url:
          type: string
          title: Download Url
          description: Pre-signed download URL
        file_name:
          type: string
          title: File Name
          description: Suggested file name
        content_type:
          type: string
          title: Content Type
          description: MIME type of the object
        size_bytes:
          type: integer
          minimum: 0
          title: Size Bytes
          description: Object size in bytes
        expires_in_seconds:
          type: integer
          minimum: 1
          title: Expires In Seconds
          description: Presigned URL expiry in seconds
      type: object
      required:
        - download_url
        - file_name
        - content_type
        - size_bytes
        - expires_in_seconds
      title: WorkflowExecutionObjectDownloadResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowExecutionObjectField:
      type: string
      enum:
        - action_result
      title: WorkflowExecutionObjectField
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````